<form class="container-form" [formGroup]="form">
  <layout-setting-item title="name:">
    <div class="form">
      <mo-input placeholder="Name" formControlName="name"></mo-input>
      <mo-drop-down
        defaultOptionName="Currency"
        [options]="nameOptions"
        [colorTemplate]="COLOR_TEMPLATE.PRIMARY"
        formControlName="currency"
      ></mo-drop-down>
    </div>
  </layout-setting-item>

  <layout-setting-item title="description:">
    <div class="form">
      <mo-textarea
        placeholder="Description"
        formControlName="description"
      ></mo-textarea>
    </div>
  </layout-setting-item>

  <layout-setting-item
    title="Maximum number of active loans:"
    description="Select the maximum number of active credits each customer can have at the same time for offer associated with this product. Choose between a fixed number or limitless."
  >
    <div class="form">
      <mo-input
        placeholder="Number"
        formControlName="max_number_active_loans"
        [type]="INPUT_TYPE.NUMBER"
        [disabled]="form.get('limitless').value === true"
      ></mo-input>
      <div class="form__col">
        or
        <mo-checkbox
          label="Limitless"
          formControlName="limitless"
        ></mo-checkbox>
      </div>
    </div>
  </layout-setting-item>

  <layout-setting-item
    title="Maximum and minimum loan amounts:"
    description="Choose the credit amount limits for all offers associated with this product."
  >
    <div class="form">
      <div class="form__col">
        <mo-input
          placeholder="$ Min"
          formControlName="min_loan_amount"
          [type]="INPUT_TYPE.NUMBER"
        ></mo-input>
        &
        <mo-input
          placeholder="$ Max"
          formControlName="max_loan_amount"
          [type]="INPUT_TYPE.NUMBER"
        ></mo-input>
      </div>
    </div>
  </layout-setting-item>

  <layout-setting-item
    title="Closing tolerance:"
    description="Choose if the closing tolerance for credit offers associated with this product, will be a fixed amount or a percentage of the capital debt."
  >
    <div class="form__row">
      <mo-radio
        id="percentage"
        label="Percentage"
        name="tolerance"
        [value]="CLOSING_TOLERANCE_TYPE.PERCENTAGE"
        formControlName="closing_tolerance_type"
      ></mo-radio>
      Or
      <mo-radio
        id="fixedAmount"
        label="Fixed amount"
        name="tolerance"
        [value]="CLOSING_TOLERANCE_TYPE.FIXED_AMOUNT"
        formControlName="closing_tolerance_type"
      ></mo-radio>
      <mo-input
        [placeholder]="
          form.get('closing_tolerance_type').value ===
          CLOSING_TOLERANCE_TYPE.PERCENTAGE
            ? CLOSING_TOLERANCE_LABEL.PERCENTAGE
            : CLOSING_TOLERANCE_LABEL.FIXED_AMOUNT
        "
        [type]="INPUT_TYPE.NUMBER"
        formControlName="closing_tolerance_value"
      ></mo-input>
      {{
        form.get("closing_tolerance_type").value ===
        CLOSING_TOLERANCE_TYPE.PERCENTAGE
          ? "%"
          : "COP"
      }}
    </div>
  </layout-setting-item>

  <layout-setting-item
    title="Decimal round up"
    description="Select the number of decimal places and rounding logics for the disbursement, installments, and payments for offers associated with this product."
  >
    <div class="form__row">
      <mo-input
        placeholder="Number"
        formControlName="decimal_round"
        [type]="INPUT_TYPE.NUMBER"
      ></mo-input>
      <mo-radio
        [label]="ROUND_WAY_LABEL.ROUND_UP"
        name="roundTo"
        id="roundUp"
        [value]="ROUND_WAY.ROUND_UP"
        formControlName="round_to"
      ></mo-radio>
      Or
      <mo-radio
        [label]="ROUND_WAY_LABEL.ROUND_DOWN"
        name="roundTo"
        id="roundDown"
        [value]="ROUND_WAY.ROUND_DOWN"
        formControlName="round_to"
      ></mo-radio>
      Or
      <mo-radio
        [label]="ROUND_WAY_LABEL.NATURAL_APROX"
        name="roundTo"
        id="naturalAprox"
        [value]="ROUND_WAY.NATURAL_APROX"
        formControlName="round_to"
      ></mo-radio>
    </div>
  </layout-setting-item>

  <layout-setting-item
    title="Amount requested step"
    description="Select the nearest multiple by which the offer amount will increase based on the customer's pre-approved amount."
  >
    <div class="form__row">
      Nearest multiple of:
      <mo-input
        placeholder="Number"
        formControlName="amount_requested_step"
        [type]="INPUT_TYPE.NUMBER"
      ></mo-input>
      <span class="note">I.E $10.000; $50.000; $100.000</span>
    </div>
  </layout-setting-item>

  <layout-setting-item
    title="Will the purchases requiere down-payment"
    description="*Option only available for MO Manage BNPL"
  >
    <div class="form__row">
      <mo-radio
        label="Yes"
        name="downPayment"
        [value]="true"
        id="optionYes"
        formControlName="requiere_down_payment"
      ></mo-radio>

      Or
      <mo-radio
        label="No"
        name="downPayment"
        id="optionNo"
        [value]="false"
        formControlName="requiere_down_payment"
      ></mo-radio>
    </div>
  </layout-setting-item>

  <div class="form__buttons">
    <mo-button
      text="Discard"
      [displayBlock]="true"
      [size]="SIZES.MD"
      [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_DEFAULT"
      [type]="BUTTON_TYPE.SUBMIT"
    >
    </mo-button>
    <mo-button
      text="Next"
      [displayBlock]="true"
      [size]="SIZES.MD"
      [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
      [type]="BUTTON_TYPE.SUBMIT"
      (click)="onClick()"
    >
      <!-- [isDisabled]="form.invalid" -->
    </mo-button>
  </div>
</form>
